nochmal: CLS
PRINT "Berechnung des fehlenden Winkels in einem rechtwinkligen Dreieck": PRINT
PRINT "Mchten Sie den bekannten Winkel in": PRINT
PRINT "     1    dezimaler Schreibweise": PRINT
PRINT "          oder": PRINT
PRINT "     2    segagesimaler Schreibweise (Degree, DEG)": PRINT
INPUT "eingeben? Geben Sie die entsprechende Ziffer ein"; ruelps: CLS
IF ruelps = 1 THEN GOTO dez
IF ruelps = 2 THEN GOTO zeg
IF ruelps = 3 THEN GOTO schluss
GOTO nochmal:
schluss:
END
dez:
INPUT "Wie groá ist der bekannte, spitze Winkel (dezimal)"; d
IF d >= 90 THEN PRINT "Der Winkel muá kleiner als 90 Grad sein": GOTO dez:
REM ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
u2vx1 = FIX(d): REM Das sind die Grad
u2hx1 = d - u2vx1
mnx1 = u2hx1 * 60
mzx1 = FIX(mnx1): REM Das sind die Minuten
mtx1 = mnx1 - mzx1
mex1 = mtx1 * 60: REM Das sind die Sekunden
PRINT "Das sind umgerechnet"; u2vx1; "Grad"; mzx1; "Minuten"; CINT(mex1); "Sekunden."
REM ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
u = 90 - d
PRINT : PRINT "Der gesuchte Winkel hat"; u; "Grad"
REM ########################################################################
u2vx = FIX(u): REM Das sind die Grad
u2hx = u - u2vx
mnx = u2hx * 60
mzx = FIX(mnx): REM Das sind die Minuten
mtx = mnx - mzx
mex = mtx * 60: REM Das sind die Sekunden
PRINT "oder"; u2vx; "Grad"; mzx; "Minuten"; CINT(mex); "Sekunden."
REM ########################################################################
GOTO daswars
zeg:
PRINT "Geben Sie den Winkel in Grad, Minuten und Sekunden ein."
INPUT "(Dabei Grad, Minuten, Sekunden durch Komma trennen)."; g, m, s: PRINT
IF g >= 90 THEN PRINT "Der Winkel muá kleiner als 90 Grad sein!": GOTO zeg
IF m >= 60 THEN PRINT "Die Minutenangabe muá kleiner als 60 sein!": GOTO zeg
IF s >= 60 THEN PRINT "Die Sekundenangabe muá kleiner als 60 sein!": GOTO zeg
PRINT "Zur Kontrolle: Sie haben"; g; "Grad"; m; "Minuten"; s; "Sekunden eingegeben."
sd = g + (m / 60) + (s / (60 ^ 2))
PRINT "               Das sind dezimal ausgedrckt"; sd; "Grad."
u2 = 90 - sd
PRINT : PRINT "Der gesuchte Winkel hat"; u2; "Grad"
u2v = FIX(u2): REM Das sind die Grad
u2h = u2 - u2v
mn = u2h * 60
mz = FIX(mn): REM Das sind die Minuten
mt = mn - mz
me = mt * 60: REM Das sind die Sekunden
PRINT "oder"; u2v; "Grad"; mz; "Minuten"; CINT(me); "Sekunden."
daswars:
REM -------------------------------------------------------------------------
PRINT
INPUT "Mchten sie weitermachen (1) oder aussteigen (2)"; gurgel
IF gurgel = 1 THEN GOTO nochmal
END

